Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>
Name:		liblrdf
Version:	0.4.0
Release:	4
License:	GNU/GPL 
URL:		http://sourceforge.net/projects/lrdf
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
Summary:	%{name} is a library for handling RDF descriptions of audio plugins.
Requires:	raptor	ladspa
BuildRequires:	raptor-devel ladspa-devel curl-devel

%description
%{name} is a library for handling RDF (http://www.w3.org/RDF/)
descriptions of LADSPA (and potentially other format) plugins.
It allows grouping of plugins into trees for user slection and finer
description of plugins and ports than the .so format allows (for example
to indicatate textual equivalents of integer port values). It also
provides named and described defaults and presets, metadata and general
semnatic goodness.
For more details see: %{url}

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix --disable-debug
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/doc/%{name}
#cp AUTHORS COPYING ChangeLog NEWS README $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%_libdir/*.so.*
%_datadir/ladspa/rdf/ladspa.rdfs

%files devel
%defattr(-,root,root)
%_libdir/*.so
%_libdir/*.a
%_libdir/*.la
%_libdir/pkgconfig/lrdf.pc
%_includedir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Oct 31 2007 Christian Metzen <metzench@ccux-linux.de> 0.4.0-4
- rebuild against curl 7.17.7
* Mon Jul 25 2005 Christian Metzen <metzench@ccux-linux.de> 0.4.0-3
- Tweaked specfile, removed wrong obsoletes tag, refined requires, corrected doc directive
* Mon Jul 18 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 0.4.0-2
- rebuilt against openssl 0.9.8
* Mon Mar 07 2005 Christian Wasem <wasem@ccux-linux.de> 0.4.0-1
- Initial Release